Subject: Re: [DNSOP] FYI: DNSOPS presentation

From: Rémi Després <[email-masked]>
Date: Thu, 1 Apr 2010 14:52:08 +0200

Le 1 avr. 2010 à 00:11, Jason Livingood a écrit :

>> ...
>> This to me seems like a "cure" worse than the disease.
> 
> That is also a concern I share.
> 
> It seems that have the cart before the horse, so to speak.  IMHO, we need to
> do the following (and there's no reason they cannot occur rapidly):
> 
> 1 - Develop a clear problem statement that outlines (1) how "broken" users
> are defined and (2) what effects this "brokenness" has on these end users
> (or other parts of the Internet).
> 
> 2 - Describe all the various methods and tactics by which end user
> "brokenness" can be detected.  This may include website-based detection,
> DNS-query-based detection, or a variety of other methods.
> 
> 3 - Then, after we have agreement on Problem Definition and Problem
> Detection, we can measure the problem to understand what the scope or scale
> of the problem is. 

> 4 - After we understand Problem Definition, Problem Detection, and Problem
> Scope, then you can arrive at possible solutions.  Seems like in this case
> we sort of *started* here, which concerns me and I think we need to be
> careful that discussion thus far does not constrain development of a full
> list of Solution Options. 

+1 for all what precedes.

> I further believe we will need to encourage the
> pursuit of multiple solutions simultaneously.  

To be seen.
One standard solution, if sufficient, is in general better than a shopping list.

> Lastly, just because end user
> software upgrades may be difficult doesn't mean we shouldn't do them and
> shouldn't focus just as much energy on those than other options.

+1

RD

---

From: Jason Livingood <[email-masked]>
Date: Thu, 01 Apr 2010 10:50:16 -0400

I've not seen much attempt yet to spell all this out, so I'll attempt to
solicit some responses...

> list of Solution Options.  I further believe we will need to encourage the
> pursuit of multiple solutions simultaneously.  Lastly, just because end user
> Jason